<?php
date_default_timezone_set('America/Los_Angeles');

$filename = "CowayDate_mileage_monthly view_" . date('Ymd') . ".xls";
header("Content-type: application/vnd.ms-excel; charset=utf-8");
header("Content-Disposition: attachment; filename=" . $filename);
print("<meta http-equiv=\"Content-Type\" content=\"application/vnd.ms-excel; charset=utf-8\">");

include '../class/lib.php';

$year = date("Y");
$last_year = date("Y") - 1;
$month = date("m");
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
</head>
<body>
<?php if ($vt == "00") { ?>
    <table width="100%">
        <tr class="thead">
            <td>No</td>
            <td>Name</td>
            <td>지국</td>
            <td>팀</td>
            <td>직급</td>
            <td>EMP#</td>
			<? for ($i = 1; $i < 13; $i++) { ?>
                <td><?=$i?>월</td>
			<? } ?>
            <td>Date</td>
            <td>Total</td>
        </tr>
		<?php
		if ($v1) $op1 = $v1;
		if ($v2) $op2 = $v2;
		if ($v3) $op3 = $v3;
		if ($v4) $op4 = $v4;
		if ($v5) $op5 = $v5;
		if ($v6) $op6 = $v6;
		if ($vuid) $uno = $vuid;
		if ($vl) $vlevel = $vl;
		$opt_group = "and u.opt4= '$vgroup'";
		$i = 1;

		$data = [];
		$mileages = ['01' => 0, '02' => 0, '03' => 0, '04' => 0, '05' => 0, '06' => 0, '07' => 0, '08' => 0, '09' => 0, '10' => 0, '11' => 0, '12' => 0];
		$i_query = "SELECT u.no, m.cid, u.opt1, u.opt2, u.opt3, u.opt4, m.name, u.data1, m.date, m.data10, m.data13, m.month FROM user u, m_input1 m ";
		if ($level == '영업부팀장') $i_query .= "WHERE m.cid = u.no AND u.no = $uid $xusr $op1 $op2 $op3 $op4 $op5 $op6 AND u.active = 1 GROUP BY m.name ORDER BY u.opt4, u.opt1, u.opt3, u.opt2 DESC";
        elseif ($level == '팀장') $i_query .= "WHERE m.cid = u.no $xusr $op1 $op2 $op3 $op4 $op5 $op6 $opt_group AND u.active = 1 GROUP BY m.name ORDER BY u.opt4, u.opt1, u.opt3, u.opt2 DESC";
		else $i_query .= "WHERE m.cid = u.no $xusr $op1 $op2 $op3 $op4 $op5 $op6 AND u.active = 1 GROUP BY m.name ORDER BY u.opt4, u.opt1, u.opt3, u.opt2 DESC";
		$members_query = mysqli_query($conn, $i_query);
		while ($mb = mysqli_fetch_array($members_query)) {
			$data[strval($mb['no'])] = ['no' => strval($mb['no']), 'name' => $mb['name'], 'area' => $mb['opt1'], 'team' => $mb['opt3'], 'role' => $mb['opt2'], 'emp' => $mb['data1'], 'date' => $mb['date'], 'mileages' => $mileages];
		}

		// Mileage
		$query = "SELECT cid, year, month, day, data13 FROM m_input1 WHERE date BETWEEN '$last_year-12-26' AND '$year-12-25' AND data13 <> '' ORDER BY date ASC";
		$mileages_query = mysqli_query($conn, $query);
		while ($d = mysqli_fetch_array($mileages_query)) {
			$exp = explode('|', $d['data13']);

			foreach ($exp as $i => $e) {
				if ($i % 6 === 4) {
					if ($d['year'] === strval($last_year) && $d['month'] === '12') $m = '01';
					else if ($d['day'] > 25) {
						$m = $d['month'] + 1;
						if (strlen($m) === 1) $m = '0' . $m;
						else $m = strval($m);
					} else $m = $d['month'];

					if (array_key_exists($d['cid'], $data)) $data[$d['cid']]['mileages'][$m] += $e;
				}
			}
		}

		$total = ['01' => 0, '02' => 0, '03' => 0, '04' => 0, '05' => 0, '06' => 0, '07' => 0, '08' => 0, '09' => 0, '10' => 0, '11' => 0, '12' => 0];
		foreach ($data as $d) {
			$total['01'] += $d['mileages']['01'];
			$total['02'] += $d['mileages']['02'];
			$total['03'] += $d['mileages']['03'];
			$total['04'] += $d['mileages']['04'];
			$total['05'] += $d['mileages']['05'];
			$total['06'] += $d['mileages']['06'];
			$total['07'] += $d['mileages']['07'];
			$total['08'] += $d['mileages']['08'];
			$total['09'] += $d['mileages']['09'];
			$total['10'] += $d['mileages']['10'];
			$total['11'] += $d['mileages']['11'];
			$total['12'] += $d['mileages']['12'];
			?>
            <tr>
                <td><?=$d['no']?></td>
                <td><?=$d['name']?></td>
                <td><?=$d['area']?></td>
                <td><?=$d['team']?></td>
                <td><?=$d['role']?></td>
                <td><?=$d['emp']?></td>
                <td <?php if ($d['mileages']['01'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['01']?></td>
                <td <?php if ($d['mileages']['02'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['02']?></td>
                <td <?php if ($d['mileages']['03'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['03']?></td>
                <td <?php if ($d['mileages']['04'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['04']?></td>
                <td <?php if ($d['mileages']['05'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['05']?></td>
                <td <?php if ($d['mileages']['06'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['06']?></td>
                <td <?php if ($d['mileages']['07'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['07']?></td>
                <td <?php if ($d['mileages']['08'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['08']?></td>
                <td <?php if ($d['mileages']['09'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['09']?></td>
                <td <?php if ($d['mileages']['10'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['10']?></td>
                <td <?php if ($d['mileages']['11'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['11']?></td>
                <td <?php if ($d['mileages']['12'] === 0) echo 'style="color:#ccc"'; ?>><?=$d['mileages']['12']?></td>
                <td><?=$d['date']?></td>
                <td style="background:orange"><?=$d['mileages']['01'] + $d['mileages']['02'] + $d['mileages']['03'] + $d['mileages']['04'] + $d['mileages']['05'] + $d['mileages']['06'] + $d['mileages']['07'] + $d['mileages']['08'] + $d['mileages']['09'] + $d['mileages']['10'] + $d['mileages']['11'] + $d['mileages']['12']?></td>
            </tr>
		<?php } ?>

        <tr class="text-center" style="background: orange">
            <td colspan="6" class="text-center">TOTAL</td>
			<?php foreach ($total as $t) { ?>
                <td>
                    <b><?=($t) ? $t : '<div style="color:red">0</div>'?></b>
                </td>
			<?php } ?>
            <td><b></b></td>
        </tr>
    </table>
<?php } else {
	$e_date = date('Y') . '-' . $vt . '-25 23:59:59';
	$e_date = date('Y-m-d H:i:s', strtotime($e_date));

	if ($dv === '01') {
		$s_date = date('Y') - 1 . '-12-26 00:00:00';
		$s_date = date('Y-m-d H:i:s', strtotime($s_date));
	} else {
		$s_date = date('Y') . '-' . ($vt - 01) . '-26 00:00:00';
		$s_date = date('Y-m-d H:i:s', strtotime($s_date));
	}

	$begin = new DateTime($s_date);
	$end = new DateTime($e_date);

	$interval = new DateInterval("P1D");
	$daterange = new DatePeriod($begin, $interval, $end);

	?>
    <table width="100%">
        <tr class="thead">
            <td>No</td>
            <td>Name</td>
            <td>지국</td>
            <td>팀</td>
            <td>직급</td>
            <td>EMP#</td>
			<?php
			foreach ($daterange as $date) {
				?>
                <td><?=$date->format("m/d")?></td>
			<?php } ?>
            <td>Total</td>
        </tr>
		<?php
		if ($v1) $op1 = $v1;
		if ($v2) $op2 = $v2;
		if ($v3) $op3 = $v3;
		if ($v4) $op4 = $v4;
		if ($v5) $op5 = $v5;
		if ($v6) $op6 = $v6;
		if ($vuid) $uno = $vuid;
		if ($vl) $vlevel = $vl;
		$opt_group = "and u.opt4= '$vgroup'";
		$i = 1;

		if ($vlevel == '영업부팀장') {
			$t_query = "select count(*) as t ";
			$t_query .= " from ( ";
			$t_query .= " select m.no,m.cid,u.opt1,u.opt2,u.opt3,m.name,u.data1,m.date,m.data10 from user u,m_input1 m ";
			$t_query .= " where m.cid=u.no and m.cid =$uno $xusr $op1 $op2 $op3 $op4 $op5 $op6 group by m.name order by u.opt4,u.opt1,u.opt3,u.opt2 desc ) a ";
			$t_result = mysqli_query($conn, $t_query);
			$tmp = mysqli_fetch_array($t_result);
			$total = $tmp[t];

			$i_query = " select m.no,m.cid,u.opt1,u.opt2,u.opt3,m.name,u.data1,m.date,m.data10 from user u,m_input1 m ";
			$i_query .= " where m.cid=u.no and m.cid =$uno $xusr $op1 $op2 $op3 $op4 $op5 $op6 group by m.name order by u.opt4,u.opt1,u.opt3,u.opt2 desc  ";
			$i_result = mysqli_query($conn, $i_query);
		} elseif ($vlevel == '팀장') {
			$t_query = "select count(*) as t ";
			$t_query .= " from ( ";
			$t_query .= " select m.no,m.cid,u.opt1,u.opt2,u.opt3,m.name,u.data1,m.date,m.data10 from user u,m_input1 m ";
			$t_query .= " where m.cid=u.no $xusr $op1 $op2 $op3 $op4 $op5 $op6 $opt_group group by m.name order by u.opt4,u.opt1,u.opt3,u.opt2 desc ) a ";
			$t_result = mysqli_query($conn, $t_query);
			$tmp = mysqli_fetch_array($t_result);
			$total = $tmp[t];

			$i_query = " select m.no,m.cid,u.opt1,u.opt2,u.opt3,m.name,u.data1,m.date,m.data10 from user u,m_input1 m ";
			$i_query .= " where m.cid=u.no $xusr $op1 $op2 $op3 $op4 $op5 $op6 $opt_group group by m.name order by u.opt4,u.opt1,u.opt3,u.opt2 desc  ";
			$i_result = mysqli_query($conn, $i_query);

		} else {
			$t_query = "select count(*) as t ";
			$t_query .= " from ( ";
			$t_query .= " select m.no,m.cid,u.opt1,u.opt2,u.opt3,m.name,u.data1,m.date,m.data10 from user u,m_input1 m ";
			$t_query .= " where m.cid=u.no $xusr $op1 $op2 $op3 $op4 $op5 $op6 group by m.name order by u.opt4,u.opt1,u.opt3,u.opt2 desc ) a ";
			$t_result = mysqli_query($conn, $t_query);
			$tmp = mysqli_fetch_array($t_result);
			$total = $tmp[t];

			$i_query = " select m.no,m.cid,u.opt1,u.opt2,u.opt3,m.name,u.data1,m.date,m.data10 from user u,m_input1 m ";
			$i_query .= " where m.cid=u.no $xusr $op1 $op2 $op3 $op4 $op5 $op6 group by m.name order by u.opt4,u.opt1,u.opt3,u.opt2 desc  ";
			$i_result = mysqli_query($conn, $i_query);

		}
		while ($idat = mysqli_fetch_array($i_result)) {
			$tSumx = '';
			$ySumx = '';
			?>

            <tr class="text-center">
                <td><?=$idat['no']?></td>
                <td><?=$idat['name']?></td>
                <td><?=$idat['opt1']?></td>
                <td><?=$idat['opt2']?></td>
                <td><?=$idat['opt3']?></td>
                <td class="text-center"><?=$idat['data1']?></td>
				<?php
				$u = 1;
				$tSumx = 0;

				foreach ($daterange as $date) {
					$m_date = $date->format("Y-m-d");
					$mile_query = "select * from m_input1 where date = '$m_date' and cid='$idat[cid]' ";
					$mile_result = mysqli_query($conn, $mile_query);
					$mile = mysqli_fetch_array($mile_result);
					$nXxp = explode("|", $mile['data13']);
					$cmt = count($nXxp);
					?>
                    <td>
						<?php
						$nSumx = 0;
						$k = 6;
						for ($j = 0; $j < $cmt - 1; $j++) {
							if ($j % $k == 4) {
								$nSumx += $nXxp[$j];
							}
						}
						if ($nSumx) {
							echo $nSumx;
						} else {
							echo '<div style="color:#ccc">0</div>';
						}

						$tSumx += $nSumx;
						$mx[$u] += $nSumx;
						?>
                    </td>
					<?php
					$u = $u + 1;
				}
				$dTotal += $tSumx;
				?>
                <!--------------RIGHT TOTAL----------------->

                <td style="background:orange;"><?=$tSumx?></td>
            </tr>
		<?php } ?>

        <!--------------BOTTOM TOTAL----------------->
        <tr class="text-center" style="background:orange">
            <td colspan="6" class="text-center">TOTAL</td>
			<?php
			$x = 1;
			foreach ($daterange as $date) {
				?>
                <td>
                    <b><?php if ($mx[$x]) {
							echo $mx[$x];
						} else {
							echo '<div style="color:red">0</div>';
						} ?></b>
                </td>

				<?php
				++$x;
			}
			?>
            <td><b><?=$dTotal?></b></td>
        </tr>
    </table>
<?php } ?>
</body>
</html>